Subject: Allow Object.yaml property value to be also an array
Description

It would be nice to be allowed setting also arrays as values for Object properties.

Use case: consider the following "foreign" repository:
 1/**
 2 * A repository for Comments
 3 *
 4 * @Flow\Scope("singleton")
 5 */
 6class CommentRepository extends \TYPO3\Flow\Persistence\Repository {
 7
 8    /**
 9     * @var array
10     */
11    protected $defaultOrderings = array('creationDate' => \TYPO3\Flow\Persistence\QueryInterface::ORDER_DESCENDING
); 

I'd like to modify this from my application, using Objects.yaml:
1TYPO3\Comments\Domain\Repository\CommentRepository:
2  properties:
3    defaultOrderings:
4      value:
5        creationDate: 'ASC'

This currently doesn't work because the handling (in DependencyInjection\ProxyClassBuilder) does only expect plain values.

Related issues:
related to TYPO3.Comments - Support # 34765: Set the default orderings from o... Closed 2012-03-12

Associated revisions
Revision fd2178cf - 2012-11-08 20:41 - Adrian Föder

[FEATURE] Allow arrays to be set via Object.yaml property values

This introduces the option to also set arrays as plain native values
in Objects.yaml. This allows settings like the following::

Acme\Foobar\Domain\Repository\BazRepository:
    properties:
      defaultOrderings:
        value:
          creationDate: 'ASC'

Change-Id: I2efc94ef6c95115ee61a2ee4b35d7614f54cfe46
Resolves: #42539
Releases: 1.2

History
#1 - 2012-10-31 10:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16068

#2 - 2012-11-08 16:08 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16068

#3 - 2012-11-08 20:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16068

#4 - 2012-11-08 21:36 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fd2178cfa3cf880cd3add52189e517470b30eb4c.
